Subject: bug#20732: in-string-p fails

From: Dmitry Gutov <[email-masked]>
Date: Fri, 5 Jun 2015 23:06:34 +0300

On 06/05/2015 06:18 PM, Stefan Monnier wrote:

> Makes no sense.  The simpler solution is to make syntax-ppss let-bind
> open-paren-in-column-0-is-defun-start.  After all, this variable's
> optimization is not useful for syntax-ppss (which already optimizes the
> same kinds of things but in a different way); it's only useful for
> things like back_comment (i.e. things like backward-sexp, or
> forward-comment with a negative argument).

Actually, (nth 3 (syntax-ppss)) in an Elisp buffer doesn't suffer from 
the same problem as (in-string-p) since bug#16247 was fixed, and 
syntax-begin-function is nil there. So a simple fix would be to replace 
the definition of the latter with the former.

We can bind open-paren-in-column-0-is-defun-start to nil, but if someone 
set syntax-begin-function to #'beginning-of-defun, maybe they meant 
something by that.